Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class Charges4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.Charges4

    public class Charges4
    extends java.lang.Object

Java class for Charges4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Charges4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TtlChrgsAndTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Rcrd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ChargesRecord2" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<ChargesRecord2>` `rcrd`
`protected ActiveOrHistoricCurrencyAndAmount` `ttlChrgsAndTaxAmt`

### Constructor Summary

Constructors
`Charges4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ChargesRecord2>` `getRcrd()` Gets the value of the rcrd property.
`ActiveOrHistoricCurrencyAndAmount` `getTtlChrgsAndTaxAmt()` Gets the value of the ttlChrgsAndTaxAmt property.
`void` `setTtlChrgsAndTaxAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the ttlChrgsAndTaxAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ttlChrgsAndTaxAmt

    protected ActiveOrHistoricCurrencyAndAmount ttlChrgsAndTaxAmt

#### rcrd

    protected java.util.List<ChargesRecord2> rcrd

### Constructor Detail

#### Charges4

    public Charges4()

### Method Detail

#### getTtlChrgsAndTaxAmt

    public ActiveOrHistoricCurrencyAndAmount getTtlChrgsAndTaxAmt()

Gets the value of the ttlChrgsAndTaxAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setTtlChrgsAndTaxAmt

    public void setTtlChrgsAndTaxAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the ttlChrgsAndTaxAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getRcrd

    public java.util.List<ChargesRecord2> getRcrd()

Gets the value of the rcrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rcrd property.

For example, to add a new item, do as follows:

        getRcrd().add(newItem);

Objects of the following type(s) are allowed in the list `ChargesRecord2`